lvm.VolumeGroupNotFound exception does not exist

Bug #1216122 reported by Eric Harney on 2013-08-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
Medium
John Griffith

Bug Description

Master branch @ fcd45a4 Merge "flake8 H202 error in test_image_utils.py"

2013-08-23 17:51:49.771 ERROR cinder.brick.local_dev.lvm [req-3bc2b049-16cb-4d8f-99b7-c0eb99595ff1 None None] Unable to locate Volume Group stack-volumes
2013-08-23 17:51:49.772 ERROR cinder.service [req-3bc2b049-16cb-4d8f-99b7-c0eb99595ff1 None None] Unhandled exception
2013-08-23 17:51:49.772 TRACE cinder.service Traceback (most recent call last):
2013-08-23 17:51:49.772 TRACE cinder.service File "/opt/stack/cinder/cinder/service.py", line 228, in _start_child
2013-08-23 17:51:49.772 TRACE cinder.service self._child_process(wrap.server)
2013-08-23 17:51:49.772 TRACE cinder.service File "/opt/stack/cinder/cinder/service.py", line 205, in _child_process
2013-08-23 17:51:49.772 TRACE cinder.service launcher.run_server(server)
2013-08-23 17:51:49.772 TRACE cinder.service File "/opt/stack/cinder/cinder/service.py", line 96, in run_server
2013-08-23 17:51:49.772 TRACE cinder.service server.start()
2013-08-23 17:51:49.772 TRACE cinder.service File "/opt/stack/cinder/cinder/service.py", line 385, in start
2013-08-23 17:51:49.772 TRACE cinder.service self.manager.init_host()
2013-08-23 17:51:49.772 TRACE cinder.service File "/opt/stack/cinder/cinder/volume/manager.py", line 151, in init_host
2013-08-23 17:51:49.772 TRACE cinder.service self.driver.check_for_setup_error()
2013-08-23 17:51:49.772 TRACE cinder.service File "/opt/stack/cinder/cinder/volume/drivers/lvm.py", line 87, in check_for_setup_error
2013-08-23 17:51:49.772 TRACE cinder.service except lvm.VolumeGroupNotFound:
2013-08-23 17:51:49.772 TRACE cinder.service AttributeError: 'module' object has no attribute 'VolumeGroupNotFound'
2013-08-23 17:51:49.772 TRACE cinder.service

John Griffith (john-griffith) wrote :

This is a result of the work that was recently done to pull the exceptions out of each module and put them in brick.exceptions here: Change-Id: I577d403f02c2fd0d727d2694776008e1e9791453

Unfortunately when this was done updating the consumers was missed.

Changed in cinder:
status: New → Triaged
importance: Undecided → High
milestone: none → havana-3
assignee: nobody → John Griffith (john-griffith)

Fix proposed to branch: master
Review: https://review.openstack.org/43807

Changed in cinder:
status: Triaged → In Progress
Changed in cinder:
importance: High → Medium

Reviewed: https://review.openstack.org/43807
Committed: http://github.com/openstack/cinder/commit/ccfc7e96ff6c2e56c5f94a8634c9d4270a5b07ce
Submitter: Jenkins
Branch: master

commit ccfc7e96ff6c2e56c5f94a8634c9d4270a5b07ce
Author: John Griffith <email address hidden>
Date: Tue Aug 27 00:52:02 2013 +0000

    Fix except in lvm.py

    Consolidation of brick exceptions into a single
    brick exception.py file neglected to updated files
    that were using it:
        (see change I577d403f02c2fd0d727d2694776008e1e9791453)

    The result is the lvm driver was doing an except on lvm.VolumeGroupNotFound
    which didn't exist anymore as it's in brick/exception now.

    We still need to clean up exceptions all through here, and this still
    isn't handled by service init anyway, but at least with this we are
    raising a valid exception.

    Change-Id: I588e9ac6548823b291d284f68f6133879bf3dfbf
    Fixes: bug 1216122

Changed in cinder:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-09-05
Changed in cinder:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-17
Changed in cinder:
milestone: havana-3 → 2013.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers